﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace SemanticZoom
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }

        void SemanticZoom_ViewChangeStarted(object sender,
                                    SemanticZoomViewChangedEventArgs e)
        {
            if (e.IsSourceZoomedInView)
            {
                // Do nothing special when zooming out
            }
            else
            {
                // Potentially scroll the zoomed-in view before zooming in
                ListViewItem item = e.SourceItem.Item as ListViewItem;
                if (item == Group1)
                {
                    Nums.ScrollIntoView(Nums.Items[0], ScrollIntoViewAlignment.Leading);
                }
                else if (item == Group2)
                {
                    Nums.ScrollIntoView(Nums.Items[100], ScrollIntoViewAlignment.Leading);
                }
                else
                {
                    Nums.ScrollIntoView(Nums.Items[200], ScrollIntoViewAlignment.Leading);
                }
            }
        }

        /// <summary>
        /// Invoked when this page is about to be displayed in a Frame.
        /// </summary>
        /// <param name="e">Event data that describes how this page was reached.  The Parameter
        /// property is typically used to configure the page.</param>
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
        }
    }
}
