﻿using Windows.UI.Core;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;

namespace ZigZag
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        bool firstActivation = true;

        public MainPage()
        {
            InitializeComponent();
            Window.Current.Activated += Window_Activated;
        }

        void Window_Activated(object sender, WindowActivatedEventArgs e)
        {
            // Code that only runs for the first activation:
            if (this.firstActivation)
            {
                StartInitialAnimations();
                this.firstActivation = false;
            }
        }

        void StartInitialAnimations()
        {
            // Start the animation
            this.storyboard.Begin();
        }
    }
}
