﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.ApplicationSettings;
using Windows.UI.Popups;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace SettingsCharm
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
            SettingsPane.GetForCurrentView().CommandsRequested += OnCommandsRequested;
        }

        void OnCommandsRequested(SettingsPane sender,
                         SettingsPaneCommandsRequestedEventArgs e)
        {
            e.Request.ApplicationCommands.Add(new SettingsCommand(1, "#1", OnCommand));
            e.Request.ApplicationCommands.Add(new SettingsCommand(2, "#2", OnCommand));
            e.Request.ApplicationCommands.Add(new SettingsCommand(3, "#3", OnCommand));
            e.Request.ApplicationCommands.Add(new SettingsCommand(4, "#4", OnCommand));
            e.Request.ApplicationCommands.Add(new SettingsCommand(5, "#5", OnCommand));
            e.Request.ApplicationCommands.Add(new SettingsCommand(6, "#6", OnCommand));
            e.Request.ApplicationCommands.Add(new SettingsCommand(7, "#7", OnCommand));
            e.Request.ApplicationCommands.Add(new SettingsCommand(8, "#8", OnCommand));
            // Adding any more throws an exception!
        }

        void OnCommand(IUICommand command)
        {
            this.settingsPane.Show(command);
        }

        /// <summary>
        /// Invoked when this page is about to be displayed in a Frame.
        /// </summary>
        /// <param name="e">Event data that describes how this page was reached.  The Parameter
        /// property is typically used to configure the page.</param>
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
        }
    }
}
